Bug 15511 - False Compiler errors
Summary: False Compiler errors
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: 3.2.x
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2013-10-19 08:25 UTC by S. Ritter
Modified: 2013-10-29 14:22 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Full log results (228.39 KB, text/plain)
2013-10-19 20:08 UTC, S. Ritter
Details
Filtered compiler log (29.77 KB, text/plain)
2013-10-19 20:09 UTC, S. Ritter
Details

Description S. Ritter 2013-10-19 08:25:05 UTC
Description of Problem:
No Compiling of JavApi Core system since (?) last update to version 4.0.13b38 
Compiling tells wrong processor directive for single C# classes - but no preprocessor using.

Steps to reproduce the problem:
1. Take project from https://github.com/RealBastie/JavApi or https://java.net/projects/javapi
2. Compile (CMD+B)


Actual Results:
compile process failed (wrong processor directive)

Expected Results:
fine build

How often does this happen? 
ever

Additional Information:
Comment 1 Mikayla Hutchinson [MSFT] 2013-10-19 19:21:10 UTC
Please provide the actual error.
Comment 2 S. Ritter 2013-10-19 20:08:02 UTC
Created attachment 5182 [details]
Full log results
Comment 3 S. Ritter 2013-10-19 20:09:15 UTC
Created attachment 5183 [details]
Filtered compiler log

cat test.log | grep -v "CS1570" | grep -v "CS1572" | grep -v "CS1574" | grep -v "CS0108" | grep -v "CS0612" | grep -v "CS1587" | grep -v "CS0114" | grep -v "CS0672" | grep -v "CS1584"
Comment 4 S. Ritter 2013-10-19 20:10:30 UTC
See attachments
Comment 5 Mikayla Hutchinson [MSFT] 2013-10-21 09:49:21 UTC
.
Comment 6 S. Ritter 2013-10-28 14:11:17 UTC
It is a showstopper - how can I help? When comes BugFix? What can I do?
Comment 7 S. Ritter 2013-10-28 14:39:13 UTC
I used the time to working on quality of project and think I have locate the compiler problem:

biz.ritter.javapi.lang.Runtime. 
If I remove the line:
        /// <see cref="#addShutdownHook"/>
the compiler works 

... with other errors :(
Comment 8 Marek Safar 2013-10-29 14:22:58 UTC
Fixed in master

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 15511 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: